Bug 486429 - QEMU snapshots broken by block-rw-range-check.patch
QEMU snapshots broken by block-rw-range-check.patch
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: qemu (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: Satish Mohan
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 13:10 EST by Paul Donohue
Modified: 2017-04-06 06:33 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:33:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Donohue 2009-02-19 13:10:13 EST
Description of problem:
When using QEMU with a qcow2 image, if run 'savevm' in the QEMU monitor to save a snapshot of the VM state, then try to run 'loadvm' to re-load the snapshot, the 'loadvm' command always fails with "Error -1 while loading VM state".

This same problem was reported on the KVM mailing list (kvm@vger.kernel.org) in June 2008, and is blamed on a patch by Dan Berrange of RedHat (see http://www.mail-archive.com/kvm@vger.kernel.org/msg01244.html).


Version-Release number of selected component (if applicable):
qemu-0.9.1-11.el5


How reproducible:
Always happens when running savevm/loadvm.


Steps to Reproduce:
1. 'qemu-img create vm -f qcow2 200G'
2. 'qemu -hda vm -cdrom rhel-server-5.3-x86_64-dvd.iso -boot d'
3. Press CTRL-ALT-2 to enter monitor mode
4. Type 'savevm 1', then 'loadvm 1'

  
Actual results:
QEMU 0.9.1 monitor
(qemu) info snapshots
Snapshot devices: ide0-hd0
Snapshot list (from ide0-hd0):
ID  TAG  VM SIZE   DATE  VM CLOCK
(qemu) savevm 1
(qemu) info snapshots
Snapshot devices: ide0-hd0
Snapshot list (from ide0-hd0):
ID  TAG  VM SIZE   DATE  VM CLOCK
1   1        44M 2009-....<snip>...
(qemu) loadvm 1
Error -1 while loading VM state
(qemu)


Expected results:
Previous VM state should be loaded without any errors.


Additional info:
Comment 1 Mark McLoughlin 2009-02-20 12:05:14 EST
Eduardo has posted a new version of this patch upstream:

  http://marc.info/?l=qemu-devel&m=123507873324650

Eduardo - does snapshots work with the new patch?
Comment 2 Eduardo Habkost 2009-02-20 12:24:59 EST
I could reproduce the bug even with the new patch. From the kvm mailing list thread mentioned on comment #0, it looks like savevm uses the ability to write outside the boundaries of the disk image as a feature.
Comment 3 Paul Donohue 2009-03-26 13:48:42 EDT
Incase anyone is following along, it looks this patch (or a similar one) has been rolled in upstream, so savevm is now broken upstream as well:
http://lists.gnu.org/archive/html/qemu-devel/2009-03/msg01123.html
Comment 4 Cao, Chen 2009-04-09 22:42:03 EDT
this problem exists on kvm-83-28.el5ovirt.

with error msg:
Error -22 while loading VM state.


Additional info:
1.
cpu:
---
Dual-Core AMD Opteron(tm) Processor 1220

2.
uname -a:
---
Linux dhcp-xx-xx-xx.xxx.redhat.com 2.6.18-128.el5 #1 SMP Wed Dec 17 11:41:38
EST 2008 x86_64 x86_64 x86_64 GNU/Linux

3.
guests:
---
RHEL-Client-5.3-i386, 
RHEL-Client-5.2-i386, 
RHEL-4.7-AS-i386
and etc.
Comment 6 Fedora End Of Life 2017-04-06 06:33:17 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.